Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
ThreadIsAliveDelegate Delegate
See Also Send Feedback

A function which returns whether the thread of control, identified by info, is still running.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate bool ThreadIsAliveDelegate(
    	DbThreadID info,
    	bool procOnly
    )

Visual Basic (Declaration)
    Public Delegate Function ThreadIsAliveDelegate ( _
    	info As DbThreadID, _
    	procOnly As Boolean _
    ) As Boolean

Visual C++
    public delegate bool ThreadIsAliveDelegate(
    	DbThreadID^ info,
    	bool procOnly
    )

#### Parameters

info
  Type: BerkeleyDB..::.DbThreadID
  The thread of control to check

procOnly
  Type: System..::.Boolean
  If true, return only if the process is alive, and the threadID portion of info should be ignored.

#### Return Value

True if the tread is alive, false otherwise.

# See Also

BerkeleyDB Namespace